Subject: Re: linux-next: build warning after merge of the kbuild tree

From: Bart Van Assche <[email-masked]>
Date: Mon, 11 Dec 2017 16:11:35 +0000

On Mon, 2017-12-11 at 09:22 +0900, Masahiro Yamada wrote:
> 2017-12-11 7:52 GMT+09:00 Stephen Rothwell <[email-masked]>:
> > After merging the kbuild tree, today's linux-next build (arm
> > multi_v7_defconfig) produced this warning:
> > 
> > drivers/usb/gadget/Kconfig:487:warning: choice default symbol 'USB_ETH' is not contained in the choice
> 
> I had noticed this before merging it.
> 
> I expect somebody will fix drivers/usb/gadget/Kconfig.
> 
> > Exposed by commit
> > 
> >   2c37e08464a8 ("kconfig: Warn if choice default is not in choice")
> > 
> > Introduced by commit
> > 
> >   7a9618a22aad ("usb: gadget: allow to enable legacy drivers without USB_ETH")

Hello Stephen and Masahiro,

I will look further into this. Please revert commit 7a9618a22aad until a fix
is upstream.

Thanks,

Bart.